Docs

Get File

GET /Drives/{driveId}/files/{fileId}

GET/Drives/{driveId}/files/{fileId}

Returns the full details of a file: status, associations, public links and version summaries. Requires at least File.Read on the file's path; use Drives_GetFileVersions for a version's comments, reviews and download URIs.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
fileIduuidRequired

Response

FieldTypeDescription
iduuid
partitionKeyuuid
typestring| null
namestring| null
descriptionstring| null
pathstring| null
fullPathstring| null
statusstring| null
dueDatedate-time
urlstring| null
assignedToGetFileResponseAssignedCollab
permissionsstring[]| null
associatedCrewMembersGetFileResponseAssociatedEntiy[]| null
associatedCollaboratorsGetFileResponseAssociatedEntiy[]| null
associatedAreasGetFileResponseAssociatedEntiy[]| null
linksGetFileResponseFileLink[]| null
taskIduuid| null
reviewerCrewIdsuuid[]| null
versionsGetFileResponseVersionSummary[]| null

GetFileResponseAssignedCollab

FieldTypeDescription
iduuid
namestring| null

GetFileResponseAssociatedEntiy

FieldTypeDescription
iduuid
entityIduuid
namestring| null
permissionsstring[]| null
FieldTypeDescription
iduuid
namestring| null
permissionsstring[]| null

GetFileResponseVersionSummary

FieldTypeDescription
iduuid
tagstring| null
statusstring| null
commentsinteger
formatsstring[]| null
taskIduuid| null